/*
 * Fernando Pereira Silveira
 */

window.addEventListener("load", controledescripts_verificar_painel, false);

function controledescripts_abrir_prefs2()
{
	window.openDialog("chrome://controledescripts/content/prefs.xul", "controledescripts-prefs", "centerscreen,chrome");
}

function controledescripts_aplicar_overlay_fx()
{
	var botao = document.getElementById("advancedJSButton");

	if (botao)
		botao.setAttribute("oncommand", "controledescripts_abrir_prefs2();");
	else
	{
		var stringset = document.getElementById("fx-pref-strings");
		var linha = document.getElementById("enableJavaScriptRow");
		var vbox = document.createElement("vbox");
		var caixa1 = document.getElementById("enableJavaScript");
		var caixa2 = document.getElementById("disableAnnoyances");

		if (caixa2)
			caixa2.setAttribute("hidden", true);

		botao = document.createElement("button");
		botao.setAttribute("id", "advancedJSButton");
		botao.setAttribute("label", stringset.getString("controledescripts.advanced"));
		botao.setAttribute("accesskey", stringset.getString("controledescripts.advanced.accesskey"));
		botao.setAttribute("oncommand", "controledescripts_abrir_prefs2();");
		vbox.appendChild(botao);
		linha.appendChild(vbox);

		caixa1.addEventListener("CheckboxStateChange", controledescripts_atualizar_botao, false);
		controledescripts_atualizar_botao();
	}
}

function controledescripts_atualizar_botao()
{
	document.getElementById("advancedJSButton").disabled = !document.getElementById("enableJavaScript").checked;
}

function controledescripts_verificar_painel()
{
	var painelConteudo = document.getElementById("paneContent");

	if (painelConteudo)
	{
		if (painelConteudo.loaded)
			controledescripts_aplicar_overlay_fx();
		else
			painelConteudo.addEventListener("paneload", controledescripts_aplicar_overlay_fx, false);
	}
}
